- Home
- API Enriched
- Tenant And Identity
- web
- Update
Update
PUT
/api/web/namespaces/system/user/settings
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/web/namespaces/system/user/settings';const options = { method: 'PUT', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"enabled_notifications":["example"],"first_name":"example","image":"example","last_name":"example","otp_enabled":true}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/web/namespaces/system/user/settings \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "enabled_notifications": [ "example" ], "first_name": "example", "image": "example", "last_name": "example", "otp_enabled": true }'Update defined user settings.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
UserSettingsRequest
Allowed settings for the user to be modified.
object
enabled_notifications
Enabled Notifications
Enabled notification for specific user.
Array<string>
first_name
First Name
First name of the user.
string
image
Image
Blob of the user avatar image.
string format: byte
last_name
Last Name
Last Name of the user.
string
otp_enabled
OTP enable
OTP enabled flag.
boolean format: boolean
Examplegenerated
{ "enabled_notifications": [ "example" ], "first_name": "example", "image": "example", "last_name": "example", "otp_enabled": true}Responses
Section titled “Responses”A successful response.
Media typeapplication/json
Empty
Empty object definition.
object
Examplegenerated
{}Returned when operation is not authorized.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when there is no permission to access resource.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when resource is not found.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when server encountered an error in processing API.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when service is unavailable temporarily.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when server timed out processing request.
Media typeapplication/json
string format: string
Examplegenerated
example